.modal_window {
  overflow: auto;
  position: fixed;
  display: flex;
  justify-content: center;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  padding: var(--gap-very-large) var(--gap-medium);
  background-color: var(--body-bg-blur-color);
  backdrop-filter: blur(4px);
  z-index: 1000;

  &__content {
    overflow: hidden;
    width: 100%;
    max-width: 600px;
    margin: auto 0;
    padding: 0 var(--gap-medium);
    background-color: var(--body-bg-color-primary);
    border-radius: 10px;
    box-shadow: var(--box-shadow-primary);
    font-size: 16px;
  }

  &__header {
    margin: var(--gap-large) 0;
    font-size: 22px;
    font-weight: 600;
    text-overflow: ellipsis;
  }

  &__description {
    margin: var(--gap-large) 0;
    font-size: 16px;
    text-overflow: ellipsis;
  }

  &__btns {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(200px, 100%), 1fr));
    grid-gap: 15px;
    width: 100%;
    margin: var(--gap-medium) 0;
  }
}
